mutation follow($contextId: String!) {
  createFollow(contextId: $contextId) {
    context {
      ... on Collection {
        ...CollectionPreview
      }
      ... on Community {
        ...SidebarFollowedCommunity
        ...CommunityPreview
      }
      ... on Thread {
        id
        myFollow {
          id
        }
        followerCount
      }
      ... on User {
        userId: id
        myFollow {
          id
        }
        followerCount
      }
    }
  }
}

mutation unfollow($contextId: String!) {
  delete(contextId: $contextId) {
    ... on Follow {
      context {
        ... on Collection {
          ...CollectionPreview
        }
        ... on Community {
          ...SidebarFollowedCommunity
          ...CommunityPreview
        }
        ... on Thread {
          id
          myFollow {
            id
          }
          followerCount
        }
        ... on User {
          userId: id
          myFollow {
            id
          }
          followerCount
        }
      }
    }
  }
}
